#########################
# Run Ongoing Functions #
#########################


#Query Time every 375 Ticks
# Hour Hand Should move every 3000/5 ticks (600)
# Minute Hand           every 375 /5 ticks  (75)
execute store result score dayTime chk.timers run time query daytime

# Run the Hand Time Angles
execute if score sfxTicToc chk.timers matches 0..1 run function clk:clock/time/hand_angles
execute if score sfxTicToc chk.timers matches 37..38 run function clk:clock/time/hand_angles


scoreboard players operation sfxTicToc chk.timers = dayTime chk.timers
scoreboard players operation sfxTicToc chk.timers %= num75 chk.data

#Set the Chime to Go off at Sunrise and Sunset
# Time 0
# Time 13500
execute if score dayTime chk.timers matches 0..4 run scoreboard players set Chime chk.timers 400
execute if score dayTime chk.timers matches 13500..13504 run scoreboard players set Chime chk.timers 400

execute if score dayTime chk.timers matches 18000..18001 run scoreboard players set Chime_Mini chk.timers 10
execute if score dayTime chk.timers matches 6000..6001 run scoreboard players set Chime_Mini chk.timers 10


#Pendulum Swing
execute if score clockPosition chk.clock_state matches 1.. run scoreboard players operation clockVelocity chk.clock_state -= clockAcceleration chk.clock_state
execute if score clockPosition chk.clock_state matches ..-1 run scoreboard players operation clockVelocity chk.clock_state += clockAcceleration chk.clock_state

scoreboard players operation clockPosition chk.clock_state += clockVelocity chk.clock_state

# Run Clocks
execute as @e[type=item_display,tag=chk.clock.base] at @s if entity @p[distance=0..40] run function clk:clock/run_clock

# Decrement Scoreboards
execute if score Chime chk.timers matches 1.. run scoreboard players remove Chime chk.timers 1
execute if score Chime_Mini chk.timers matches 1.. run scoreboard players remove Chime_Mini chk.timers 1

# Run Sawmill
execute as @e[type=item_display,tag=tac.sawmill] at @s if entity @p[distance=0..6.5] run function clk:run_sawmill