#gamerules
execute unless score Game deeper_dark.gamerule.disable_keepinventory_overide matches 0..1 run scoreboard players set Game deeper_dark.gamerule.disable_keepinventory_overide 1
execute unless score Game deeper_dark.gamerule.disable_screen_shake matches 0..1 run scoreboard players set Game deeper_dark.gamerule.disable_screen_shake 0
execute unless score Game deeper_dark.gamerule.disable_sculk_conversion matches 0..1 run scoreboard players set Game deeper_dark.gamerule.disable_sculk_conversion 0
execute unless score Game deeper_dark.gamerule.disable_portal_particles matches 0..1 run scoreboard players set Game deeper_dark.gamerule.disable_portal_particles 0
execute unless score Game deeper_dark.gamerule.shockwave_emits_light matches 0..1 run scoreboard players set Game deeper_dark.gamerule.shockwave_emits_light 1

#tp
execute as @a[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},gamemode=!spectator,tag=!deeper_dark.tp_cooldown] at @s if block ~ ~-.1 ~ minecraft:reinforced_deepslate run function deeper_dark:main/teleport_ready

#cooldown
execute as @a[tag=deeper_dark.tp_cooldown] at @s unless block ~ ~-.1 ~ minecraft:reinforced_deepslate run tag @s remove deeper_dark.tp_cooldown

execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 run function deeper_dark:main/particle_main
execute in deeper_dark:deeper_dark if entity @e[distance=0..] run function deeper_dark:main/in_deeper_dark

#items
execute if entity @e[type=item,nbt={Item:{id:"minecraft:enchanted_book",tag:{deeper_dark_enchanted_book:1b}}},nbt=!{Age:-32768s}] run function deeper_dark:armor/book

execute as @a[nbt={Inventory:[{Slot:103b,tag:{deeper_dark_enchantments:["clearsight"]}}],active_effects:[{id:"minecraft:darkness",amplifier:0b}]}] run function deeper_dark:armor/clearsight



scoreboard players add @e[tag=deeper_dark.sonicattack] deeper_dark.sonicattack 1
execute as @a[scores={deeper_dark.sonicattack=1..99}] run title @s actionbar {"text":"Canceled","color":"#007A8A"}
execute as @a[nbt=!{Inventory:[{Slot:102b,tag:{deeper_dark_enchantments:["sonic_boom"]}}]}] run scoreboard players set @s deeper_dark.sonicattack 0
execute as @a[scores={deeper_dark.sonicattack=0..99}] unless score @s deeper_dark.sonicattack matches 100..999 unless entity @s[x_rotation=70..90] run scoreboard players set @s deeper_dark.sonicattack 0
execute as @a[scores={deeper_dark.sonicattack=0..99},predicate=!conures:flags/is_sneaking] unless score @s deeper_dark.sonicattack matches 100.. run scoreboard players set @s deeper_dark.sonicattack 0
execute at @a[scores={deeper_dark.sonicattack=3}] run playsound minecraft:entity.warden.sonic_charge ambient @a ~ ~ ~ 2 1
scoreboard players add @a[nbt={Inventory:[{Slot:102b,tag:{deeper_dark_enchantments:["sonic_boom"]}}]},x_rotation=70..90,predicate=conures:flags/is_sneaking,scores={deeper_dark.sonicattack=0..99}] deeper_dark.sonicattack 3
scoreboard players set @a[scores={deeper_dark.sonicattack=90..}] deeper_dark.sonicattack 100
execute as @a[nbt={Inventory:[{Slot:102b,tag:{deeper_dark_enchantments:["sonic_boom"]}}]},x_rotation=70..90,predicate=conures:flags/is_sneaking] run title @s actionbar [{"score":{"name":"@s","objective":"deeper_dark.sonicattack"},"color":"#007A8A"},{"text":"%"}]

execute as @a[predicate=!conures:flags/is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes run function deeper_dark:armor/perform_sonicattack

execute as @a[scores={deeper_dark.sonicattack=..-2}] run title @s actionbar {"text":"Cooldown","color":"#007A8A"}
execute as @a[scores={deeper_dark.sonicattack=-1}] run title @s actionbar {"text":"Ready","color":"#007A8A"}
scoreboard players add @a[scores={deeper_dark.sonicattack=..-1}] deeper_dark.sonicattack 1



execute as @a[nbt={OnGround:0b,Inventory:[{Slot:101b,tag:{deeper_dark_enchantments:["safefall"]}}]}] at @s run function deeper_dark:armor/safefall

execute as @a[predicate=deeper_dark:enable_darkspeed] at @s run function deeper_dark:armor/darkspeed
execute as @a[predicate=!deeper_dark:enable_darkspeed] run attribute @s minecraft:generic.movement_speed modifier remove bb3b5455-315d-444e-8663-722139bbe4b6
execute as @e[tag=deeper_dark.boots] at @s unless entity @p[distance=..1] run function deeper_dark:main/silent_despawn

#sculk conversion
execute if score Game deeper_dark.gamerule.disable_sculk_conversion matches 0 run function deeper_dark:main/item_conversion

#give @p minecraft:enchanted_book{display:{Lore:['{"text":"Darkspeed","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:darkspeed,deeper_dark_enchanted_book:1b} 1

#shockwave
execute as @e[tag=deeper_dark.shockwave_display] at @s run function deeper_dark:main/as_shockwave_display
execute as @e[tag=deeper_dark.shockwave] at @s run function deeper_dark:shockwave/ai

execute as @e[tag=deeper_dark.shockwave_light] at @s unless entity @e[tag=deeper_dark.shockwave,distance=0..1] run function deeper_dark:main/as_shockwave_light


#⎓╎リ↸ ℸ ̣ ⍑ᒷ !¡╎ᒷᓵᒷᓭ
#∴ᔑℸ ̣ ᓵ⍑ ||𝙹⚍∷ ᓭℸ ̣ ᒷ!¡